# EventHttpConnection::setLocalAddress

(PECL event >= 1.2.6-beta)

EventHttpConnection::setLocalAddress — Sets the IP address from which HTTP connections are made

### Description

public EventHttpConnection::setLocalAddress ( string `$address` ) : void

Sets the IP address from which http connections are made.

### Parameters

`address`

  The IP address from which HTTP connections are made.

### Return Values

No value is returned.

### See Also

- EventHttpConnection::setLocalPort() - Sets the local port from which connections are made